/* (c) https://github.com/MontiCore/monticore */
#user  nobody;
worker_processes  1;

#error_log  logs/error.log;
#error_log  logs/error.log  notice;
#error_log  logs/error.log  info;

#pid        logs/nginx.pid;


events {
    worker_connections  1024;
}


http {
    include       mime.types;
    default_type  application/octet-stream;

    #log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
    #                  '$status $body_bytes_sent "$http_referer" '
    #                  '"$http_user_agent" "$http_x_forwarded_for"';

    #access_log  logs/access.log  main;

    sendfile        on;
    client_max_body_size 50m;
    #tcp_nopush     on;

    #keepalive_timeout  0;
    keepalive_timeout  65;

    gzip  on;

    # montisim-server-restful backend
    server {
        listen 8090;
        server_name 127.0.0.1;

        root /app;
        add_header Access-Control-Allow-Origin * always;
        add_header Access-Control-Allow-Methods '*' always;

        location / {
            proxy_pass http://server:8090;
        }
    }

   # include servers/*;
}
